Skip to main content

Update KaaS

PUT 

/projects/:projectId/providers/Aruba.Container/kaas/:id

Update KaaS

Request

Path Parameters

    projectId stringrequired

    unique identifier of the project CMP

    id stringrequired

    unique identifier of the cluster kubernetes

Query Parameters

    api-version string

    The requested API version

    Default value: 1

Body

the cluster kubernetes to update

    metadata

    object

    Metadata of the resource

    name string

    Name of the resource

    location

    object

    Contains information about the Region of a resource

    value string

    Value of the region in which the resource will be located. Available regions at present:

    • ITBG-Bergamo

    For more information, check the documentation.

    tags string[]nullable

    List of tags for the resource

    properties

    object

    kubernetesVersion

    object

    value string

    Value of the version. In updating an existing cluster, the upgrade of the version will be handled as soon as the request will be sent only if the UpgradeDate is not evaluated

    upgradeDate date-timenullable

    You can choose to upgrade the kubernetes version of an existing cluster in a scheduled date

    nodePools

    object[]

    list of the nodepools of the kaas

  • Array [

  • name string

    Nodepool name

    nodes int32

    Number of nodes

    instance string

    Configuration name of the nodes. See metadata section of the API documentation for an updated list of admissable values.

    dataCenter string

    Datacenter in which the nodes of the pool will be located. See metadata section of the API documentation for an updated list of admissable values.

    For more information, check the documentation.

    minCount int32nullable

    Min number of nodes for the node pool when autoscaling is enabled

    maxCount int32nullable

    Max number of nodes for the node pool when autoscaling is enabled

    autoscaling boolean

    Indicate if autoscaling is enabled for the node pool

  • ]

  • ha booleannullable

    If true, the the cluster will be replicated across 3 zones within the region selected. Please note that the Control Panel in HA cannot be disabled once the cluster has been created.

    storage

    object

    maxCumulativeVolumeSize int32nullable

    Storage limit for this Kubernetes cluster. The sum of the size of all the volumes used by the cluster must be less than this value, if specified. Default value is null and no limitation will be applied.

    billingPlan

    object

    billingPeriod stringnullable

    apiServerAccessProfile

    object

    authorizedIpRanges string[]nullable
    enablePrivateCluster boolean

Responses

OK

Loading...